System requirements





1C:Enterprise technological platform

Thin client and thick client

Operating system
Notes
Microsoft Windows
Windows 10 All updates and an SSE2** processor required.
Windows 8.1
Windows 8
Windows 7
Windows Server 2012 R2 (x64)
Windows Server 2012 (x64)
Windows Server 2008 R2 (x64)
Windows Server 2008
Windows Server 2003
Windows Vista
Windows XP Service Pack 3 and an SSE2** processor required.
Linux
Ubuntu 12.04 LTS  
Mint 12
Fedora 17
Alt Linux СПТ 6.0
Astra Linux Special Edition 1.4
Astra Linux Special Edition 1.5
Mac OS X Mac OS X 10.8 or later Client applications for OS X are intended for beta testing purposes only.

Web client

Operating system 
Notes
Microsoft Windows
Windows 10

All updates and an SSE2** processor required.

 

We recommend that you use Internet Explorer 9 on computers with limited RAM and CPU capacity. Alternatively, you can use other browsers supported by 1C:Enterprise.

Windows 8.1
Windows 8
Windows 7
Windows Server 2012 R2 (x64-bit)
Windows Server 2012 (x64)
Windows Server 2008 R2 (x64)
Windows Server 2008
Windows Server 2003
Windows Vista
Windows XP Service Pack 3 and an SSE2** processor required.
Linux
Linux  
Mac OS X
Mac OS X 10.5 or later  
iOS
iOS 3.2, 4.2, or later  iPad tablets only.
Supported  web browsers
Notes
  Mozilla Firefox version 38 or later for Windows and Linux

 

  Microsoft Internet Explorer 8.0, 9.0 (x86), 10 (x86), or 11 We recommend that you use Internet Explorer 9 on computers with limited RAM and CPU capacity.
  Microsoft Edge for Windows The following features are not supported: add-ins, file system extension, and cryptography extension.
  Google Chrome for Windows (x32 and x64) The x64 version uses x32 versions of extensions and add-ins.
  Safari 4.0.5 or later for Mac OS X

1C:Enterprise server

x86 architecture

Operating system
Notes
Microsoft Windows
Windows 10

All updates and an SSE2** processor required.

Windows 8.1
Windows 8
Windows 7
Windows Server 2012 R2 (x64)
Windows Server 2012 (x64)
Windows Server 2008
Windows Server 2003
Windows Vista
Windows XP
Service Pack 3 and an SSE2** processor required.
Linux
ALT Linux 2.4 or later
Only working servers and central servers of the cluster.
ASP Linux 11 or later
CentOS 4 or later
Debian GNU/Linux 4.0 or later
Fedora Core 4 or later
Fedora 7 or later
Mandriva Powerpack 2009
Red Hat Enterprise Linux 4 update 4 or later
Ubuntu 7.10 or later
Astra Linux Special Edition 1.4
Astra Linux Special Edition 1.5

x86-64 architecture

Operating system
Notes
Microsoft Windows
Windows 10

All updates and an SSE2** processor required.

Windows 8.1 (x64)
Windows 8 (x64)
Windows 7 (x64)
Windows Server 2012 R2 (x64)
Windows Server 2012 (x64)
Windows Server 2008 R2 (x64)
Windows Server 2008 (x64)
Windows Server 2003 (x64)
Windows Vista (x64)
Windows XP (x64) Service Pack 3 and an SSE2** processor required.
Linux
ASP Linux 11 or later
Only working servers and central servers of the cluster.
CentOS 4 or later
Debian GNU/Linux 4.0 or later
Fedora Core 4 or later
Fedora 7 or later
Mandriva Powerpack 2009
Red Hat Enterprise Linux 4 update 4 or later
Ubuntu 7.10 or later
Astra Linux Special Edition 1.4
Astra Linux Special Edition 1.5

Database server
Operating systems of Linux and Windows families are supported

x86 architecture

DBMS
Notes
Microsoft SQL Server
SQL Server 2016
SQL Server 2014
SQL Server 2012
SQL Server 2008 R2
SQL Server 2008 Service Pack 1 required.
SQL Server 2005 Service Pack 3 required.
PostgreSQL
PostgreSQL 9.4.2

Requires one of the following operating systems:

  • Microsoft
    • Windows 2000
    • Windows XP
    • Windows Server 2003
    • Windows 7
    • Windows Server 2008
    • Windows Server 2008 R2
  • Linux (*)
    • Fedora Core 8-15
    • Red Hat Enterprise Linux 5-6
    • Centos 5-6
    • ASP Linux 12-14
    • Ubuntu 10.10
    • Ubuntu 11.04
PostgreSQL 9.3.4
PostgreSQL 9.2.4
PostgreSQL 9.1.9
PostgreSQL 9.1.2
PostgreSQL 9.0.3

Requires one of the following operating systems:

  • Microsoft
    • Windows 2000
    • Windows XP
    • Windows Server 2003
    • Windows 7
    • Windows Server 2008
    • Windows Server 2008 R2
  • Linux (*)
    • Fedora Core 4
    • Fedora Core 5
    • Fedora Core 6
    • Red Hat Enterprise Linux 4 update 4
    • ASP Linux 11
PostgreSQL 8.4.3
PostgreSQL 8.3.8
PostgreSQL 8.2.4
PostgreSQL 8.1.5
IBM DB2 11.1
  • The Express-C version supported by 1C:Enterprise is available at IBM website.
IBM DB2 10.1
  • The Express-C version supported by 1C:Enterprise is available at IBM website.
  • Supported in beta test mode due to significant changes in DB2 architecture.
IBM DB2 9.7 FixPack 6
  • DB2 9.7 FixPaсk 6 for commercial releases is available at IBM website.
  • The Express-C version supported by 1C:Enterprise is available in the Products section. 
IBM DB2 9.7 FixPack 1
  • The list of supported operating systems is available at IBM website.
  • These early versions are not recommended for use.
IBM DB2 9.5 FixPack 4 (build 22521)
IBM DB2 9.1 (build 19840)
Oracle Database
(Standard Edition One, Standard Edition, or Enterprise Edition)
Oracle Database 12c (version 12.1.0.2)
  • Linux version 12.1.0.2 is supported if the following patches are installed:
    • 19078326, OPatch 12.1.0.8 (patch 6880880), then 21447820, then 21068507, then 20954292.
    • Noncluster installation of patch 21447820 only requires element 21359749 (21447820 directory includes several subdirectories, 21359749 is one of these subdirectories).
    • There are three types of patch 20954292 (one for version 11.2.0.4 and two for versions 12.1.0.2), you need the one that is intended for version 12.1.0.2.7 (the other one is for version 12.1.0.2.0; the right one has DBEngSysandDBIM in its name).
Oracle Database 11gR2
  • Version 11.2.0.3.0 for Microsoft Windows.
  • Version 11.2.0.2.0 for Linux with the following patches: 10094732, 11724916, 9620994, and 10269193.
Oracle Database 11gR1 (version 11.1.0.7.0)
  • Version 11.1.0.7.0 for Microsoft Windows with Bundle28 (patch 9707661).
  • Version 11.1.0.7.0 for Linux with the following patches: 7556778, 8889930, 9038070, 9653353, 8934457.
Oracle Database 10gR2 (version 10.2.0.4)
  • Version 10.2.0.4 for Microsoft Windows with Bundle36 (patch 9544021).
  • Version 10.2.0.4 for Linux with the following patches: 8576156, 9535703, 9038070, 9002115, 6642692, 8889930, 7556778, 5586604.

x86-64 architecture

DBMS
Notes
Microsoft SQL Server
SQL Server 2016  
SQL Server 2014  
SQL Server 2012  
SQL Server 2008 R2  
SQL Server 2008 Service Pack 1 required.
SQL Server 2005 Service Pack 3 required.
PostgreSQL
PostgreSQL 9.4.2

Requires one of the following operating systems:

  • Microsoft
    • Windows 2000
    • Windows XP
    • Windows Server 2003
    • Windows 7
    • Windows Server 2008
    • Windows Server 2008 R2
  • Linux (*)
    • Fedora Core 8-15
    • Red Hat Enterprise Linux 5-6
    • Centos 5-6
    • ASP Linux 12-14
    • Ubuntu 10.10
    • Ubuntu 11.04
PostgreSQL 9.3.4
PostgreSQL 9.2.4
PostgreSQL 9.1.9
PostgreSQL 9.1.2
PostgreSQL 9.0.3

Requires one of the following operating systems:

  • Microsoft
    • Windows 2000
    • Windows XP
    • Windows Server 2003
    • Windows 7
    • Windows Server 2008
    • Windows Server 2008 R2
  • Linux (*)
    • Fedora Core 4
    • Fedora Core 5
    • Fedora Core 6
    • Red Hat Enterprise Linux 4 update 4
    • ASP Linux 11
PostgreSQL 8.4.3
PostgreSQL 8.3.8
PostgreSQL 8.2.4
PostgreSQL 8.1.5
IBM DB2 11.1
  • The Express-C version supported by 1C:Enterprise is available at IBM website.
IBM DB2 10.1
  • The Express-C version supported by 1C:Enterprise is available at IBM website.
  • Supported in beta test mode due to significant changes in DB2 architecture.
IBM DB2 9.7 FixPack 6
  • DB2 9.7 FixPack 6 for commercial releases is available at IBM website.
  • The Express-C version supported by 1C:Enterprise is available in the Products section.
IBM DB2 9.7 FixPack 1
  • The list of supported operating systems is available at IBM website.
  • These early versions are not recommended for use.
IBM DB2 9.5 FixPack 4 (build 22521)
IBM DB2 9.1 (build 19840)
Oracle Database
(Standard Edition One, Standard Edition, or Enterprise Edition)
 Oracle Database 12c (version 12.1.0.2)
  • Linux version 12.1.0.2 is supported if the following patches are installed:
    • 19078326, OPatch 12.1.0.8 (patch 6880880), then 21447820, then 21068507, then 20954292.
    • Noncluster installation of patch 21447820 only requires element 21359749 (21447820 directory includes several subdirectories, 21359749 is one of these subdirectories).
    • There are three types of patch 20954292 (one for version 11.2.0.4 and two for versions 12.1.0.2), you need the one that is intended for version 12.1.0.2.7 (the other one is for version 12.1.0.2.0; the right one has DBEngSysandDBIM in its name).
Oracle Database 11gR2
  • Version 11.2.0.3.0 for Microsoft Windows.
  • Version 11.2.0.2.0 for Linux with the following patches: 10094732, 11724916, 9620994, and 10269193.
Oracle Database 11gR1 (version 11.1.0.7.0)
  • Version 11.1.0.7.0 for Microsoft Windows with Bundle28 (patch 9707665).
  • Version 11.1.0.7.0 for Linux with the following patches: 7556778, 8889930, 9038070, 9653353, 8934457.
Oracle Database 10gR2 (version 10.2.0.4)
  • Version 10.2.0.4 for Microsoft Windows with Bundle36 (patch 9544023).
  • Version 10.2.0.4 for Linux with the following patches: 8576156, 9535703, 9038070, 9002115, 8947919, 8889930, 7556778, 5586604.

IA-64 architecture

DBMS
Notes
Microsoft SQL Server
SQL Server 2008 R2 (x64) IA64  
SQL Server 2008 (x64) IA64 Service Pack 1 required.
SQL Server 2005 (x64) Itanium-based Service Pack 3 required.

Web server

Operating system
Notes
Windows
IIS 10.0 IIS version supported by 1C:Enterprise is a part of Windows operating system:
  • IIS 10.0 (Windows 10)
  • IIS 8.5 (Windows 8.1; Windows Server 2012 R2)
  • IIS 8.0 (Windows 8; Windows Server 2012)
  • IIS 7.5 (Windows 7; Windows Server 2008 R2)
  • IIS 7.0 (Windows Vista; Windows Server 2008)
  • IIS 6.0 (Windows Server 2003)
  • IIS 5.1 (Windows XP Professional)

IIS web server documentation:

You can download the latest version of Apache web server from http://httpd.apache.org/download.cgi.

IIS 8.5
IIS 8.0
IIS 7.5
IIS 7.0
IIS 6.0
IIS 5.1
Apache 2.0
Apache 2.2
Linux
Apache 2.2
Apache 2.0

Mobile platform

Operating system
Notes
iOS
iOS 7.0–10.X Only ARM-based devices with ARMv7 or ARM64 architecture are supported.
  • iPhone 4, 4S, 5, 5S, 5C, 6, 6 Plus, 6S, 6S Plus, SE, 7, 7 Plus 
  • iPad 2, 3, 4, Air, Air2, Pro
  • iPod Touch generations 5, 6 
  • iPad Mini 1, 2, 3, 4
Android
Android 2.3–7.X

  • Only devices with Intel x86 processors or ARM processors with ARMv5TE or later architecture are supported.
  • Minimum 256 MB of RAM required.
  • Touch screen.
Windows
Windows 8.1
  • The following device types are supported: (1) Intel x86 and Intel x86-64 PCs, tablets, laptops, and terminals and (2) smartphones with ARM processors.
  • Minimum 512 MB of RAM required. 
  • Touch screen.
Windows Phone 8.1
Windows 10

Documentation

Documentation in PDF format
Adobe Reader 10.1.7 or later

Notes:

* The distribution kit content and installation details of supported software are not final and can be subject to further alterations.
** The following processors are supported: AMD Athlon 64 or later, Intel Pentium 4 or later.


Comments
0
Add comment